%define name thai-ttf-js_write
%define version 0.0.1
%define release 1
%define manifest %{_builddir}/%{name}-%{version}-%{release}.manifest
%define fontroot /usr/share/fonts
%define fontdir %{fontroot}/TIS-620/TrueType

Name: %{name}
Version: %{version}
Release: %{release}
License: freely redistributable
Group: Extensions/Thai/font
Source: %{name}-%{version}.tar.gz
URL: http://linux.thai.net/linux-tle/
Distribution: Linux-TLE
Vendor: NECTEC
Packager: Sirichai Lerdvorawut <chainux@opensource.thai.net>
Requires: XFree86 > 3.2
Prereq: chkfontpath
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-%{version}
Summary: A collection of Thai TrueType JS fonts.

%description
Thai TrueType fonts included here are JS font from the
National Font project.

%prep
%setup -q -n  %{name}
./autogen.sh

%build
%configure --with-fontdir=$RPM_BUILD_ROOT%{fontdir}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
%makeinstall

# __os_install_post is implicitly expanded after the
# install section... do it now, and then disable it,
# so all work is done before building manifest.

%{?__os_install_post}
%define __os_install_post %{nil}

# build the file list automagically into %{manifest}

cd $RPM_BUILD_ROOT
rm -f %{manifest}
find . -type d \
        | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' >> %{manifest}
find . -type f \
        | sed '/fonts.scale/d;/fonts.dir/d;/encodings.dir/d' \
        | sed 's,^\.,\%attr(-\,root\,root) ,' >> %{manifest}
find . -type l \
        | sed 's,^\.,\%attr(-\,root\,root) ,' >> %{manifest}

%post
cd %{fontdir}
if which ttmkfdir > /dev/null 2>&1; then
  if ttmkfdir -e /usr/X11R6/lib/X11/fonts/encodings/encodings.dir > /dev/null 2>&1
  then
    ttmkfdir -e /usr/X11R6/lib/X11/fonts/encodings/encodings.dir -o fonts.scale
    # ttmkfdir 2
  else
    ttmkfdir > fonts.scale
    # ttmkfdir 1
  fi
elif which mkfontscale > /dev/null 2>&1; then
  mkfontscale
fi
mkfontdir -e /usr/X11R6/lib/X11/fonts/encodings
if (/usr/sbin/chkfontpath --list | grep $RPM_BUILD_ROOT%{fontdir} > /dev/null)
then
	/usr/sbin/chkfontpath --remove $RPM_BUILD_ROOT%{fontdir}
fi
/usr/sbin/chkfontpath --add $RPM_BUILD_ROOT%{fontdir}

# Add dir to XftConfig
if test -f /etc/X11/XftConfig && \
   ! grep -e "dir *\"%{fontdir}\"" /etc/X11/XftConfig > /dev/null; then
  echo "dir \"%{fontdir}\"" > /tmp/tmp.$$
  cat /etc/X11/XftConfig >> /tmp/tmp.$$
  mv -f /tmp/tmp.$$ /etc/X11/XftConfig
  xftcache %{fontdir}
fi

# Refresh fontconfig cache
if which fc-cache > /dev/null 2>&1; then
  fc-cache -f %{fontroot}
fi

# refresh font for gnome-print
if which gnome-font-install > /dev/null 2>&1; then
  gnome-font-install -q
fi


%postun
cd %{fontdir}
rm -f fonts.scale fonts.dir encodings.dir
if which ttmkfdir > /dev/null 2>&1; then
  if ttmkfdir -e /usr/X11R6/lib/X11/fonts/encodings/encodings.dir > /dev/null 2>&1
  then
    ttmkfdir -e /usr/X11R6/lib/X11/fonts/encodings/encodings.dir -o fonts.scale
    # ttmkfdir 2
  else
    ttmkfdir > fonts.scale
    # ttmkfdir 1
  fi
elif which mkfontscale > /dev/null 2>&1; then
  mkfontscale
fi
if test `head -1 fonts.scale` -gt 0; then
	mkfontdir -e /usr/X11R6/lib/X11/fonts/encodings
	if (/usr/sbin/chkfontpath --list | grep %{fontdir} > /dev/null)
	then
		/usr/sbin/chkfontpath --remove %{fontdir}
	fi
	/usr/sbin/chkfontpath --add %{fontdir}
else
	rm -f fonts.scale
	find %{fontdir} -name fonts.cache-1 -exec rm {} \;
	cd /; rmdir %{fontdir}
	/usr/sbin/chkfontpath --remove %{fontdir}

	# Remove dir from XftConfig
	if test -f /etc/X11/XftConfig; then
		grep -v "dir *\"%{fontdir}\"" /etc/X11/XftConfig > /tmp/tmp.$$
		mv -f /tmp/tmp.$$ /etc/X11/XftConfig
		xftcache %{fontdir}
	fi
fi

# Refresh fontconfig cache
if which fc-cache > /dev/null 2>&1; then
  fc-cache -f %{fontroot}
fi

# refresh font for gnome-print
if which gnome-font-install > /dev/null 2>&1; then
  gnome-font-install -q
fi


%clean
rm -f %{manifest}
rm -rf $RPM_BUILD_ROOT

%files -f %{manifest}
%defattr(-,root,root)
#%doc README
#%docdir
#%config

%changelog
*Thu Feb 27 2003 Sirichai Lerdvorawut <chainux@opensource.thai.net>
        - thai-ttf-js_write.spec.in:
          Add font thai js
